<?php
/**
 * Archive page / Third section 
 *
 * This is the template for the content of trending
 *
 * @package Theme Palace
 * @subpackage Create Magazine
 * @since Create Magazine 2.0
 */

$cat_id = get_queried_object_id(); // get current category id 
$options = create_magazine_get_theme_options(); // get theme options 
$tp_category = ! empty( $cat_id ) ? get_category( $cat_id ) : ''; // get category object
$tp_category_slug = ! empty( $tp_category->slug ) ? $tp_category->slug : '';
$tp_category_name = ! empty( $tp_category->name ) ? $tp_category->name : '';

$popular_args = array(
        'category_name'      => $tp_category_slug,
        'posts_per_page'    => 4,
        'meta_key'          => 'post_views_count',
        'orderby'           => 'post_views_count'
        );

$the_query = get_posts( $popular_args );
?>

<section id="trending-celebrities">
    <div class="bg-red">
        <header class="container entry-header text-left">
            <h2 class="entry-title padding-top-bottom color-white os-animation" data-os-animation="fadeInDown" data-os-animation-delay="0.3s" data-os-animation-duration="1s"><?php  printf( esc_html__( 'Trending %s ', 'create-magazine' ), esc_html( $tp_category_name ) ); ?></h2>
        </header>
    </div><!-- end .bg-blue -->
    <div class="entry-content container margin-up four-col">
        <div class="row">
        <?php foreach ( $the_query as $post ) : ?>
            <div class="column-wrapper os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.3s" data-os-animation-duration="1s">
                <figure>
                    <?php create_magazine_post_thumbnail(); ?>
                    <div class="trending-contents">
                        <div class="title os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.3s" data-os-animation-duration="0.6s">
                          <a href="<?php echo esc_url( get_the_permalink( $post->ID ) ); ?>"><h3><?php echo esc_html( $post->post_title ); ?></h3></a>
                        </div><!-- end .title -->
                        <span class="date os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.2s" data-os-animation-duration="0.6s">
                            <?php echo esc_html( get_the_date() ); ?>
                        </span><!-- end .date -->
                        <p class="description os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.2s" data-os-animation-duration="0.6s">
                            <?php echo esc_html( create_magazine_trim_content( $post, absint( $options['excerpt_length'] ) ) ); ?>
                      </p>
                    </div><!-- end featured-contents -->
                </figure>
            </div><!-- end .four-col -->
        <?php endforeach;
        wp_reset_query(); ?>
        </div><!-- end .row -->
    </div><!-- end .entry-content -->
</section><!-- end .trending-now -->