<?php
/**
 * Customizer Partial Functions
 *
 * @package Theme Palace
 * @subpackage Create Magazine
 * @since Create Magazine 2.0
 */

if ( ! function_exists( 'create_magazine_customize_partial_featured_story_title' ) ) :
	/**
	 * Render the feature story title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_featured_story_title() {;
		$options = create_magazine_get_theme_options();
		return $options['featured_story_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_headline_title' ) ) :
	/**
	 * Render the headline title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_headline_title() {;
		$options = create_magazine_get_theme_options();
		return $options['headline_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_trending_now_title' ) ) :
	/**
	 * Render the trending_now title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_trending_now_title() {;
		$options = create_magazine_get_theme_options();
		return $options['trending_now_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_category_block_two_title' ) ) :
	/**
	 * Render the category block two title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_category_block_two_title() {
		$options = create_magazine_get_theme_options();
		return $options['category_block_two_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_category_block_one_title' ) ) :
	/**
	 * Render the category block one title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_category_block_one_title() {
		$options = create_magazine_get_theme_options();
		return $options['category_block_one_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_recent_story_title' ) ) :
	/**
	 * Render the recent story title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_recent_story_title() {
		$options = create_magazine_get_theme_options();
		return $options['recent_story_title'];
	}
endif;


if ( ! function_exists( 'create_magazine_customize_partial_gallery_title' ) ) :
	/**
	 * Render the gallery title for the selective refresh partial.
	 */

	function create_magazine_customize_partial_gallery_title() {
		$options = create_magazine_get_theme_options();
		return $options['gallery_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_category_block_three_title' ) ) :
	/**
	 * Render the category block three title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */

	function create_magazine_customize_partial_category_block_three_title() {
		$options = create_magazine_get_theme_options();
		return $options['category_block_three_title'];
	}
endif;

if ( ! function_exists( 'create_magazine_customize_partial_top_categories_title' ) ) :
	/**
	 * Render the top categories title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */
	function create_magazine_customize_partial_top_categories_title() {
		$options = create_magazine_get_theme_options();
		return $options['top_categories_title'];
	}
endif;


if ( ! function_exists( 'create_magazine_customize_related_posts_title' ) ) :
	/**
	 * Render the related posts title for the selective refresh partial.
	 *
	 * @since Create Magazine 2.0
	 *
	 * @return string
	 */

	function create_magazine_customize_related_posts_title() {
		$options = create_magazine_get_theme_options();
		return $options['related_posts_title'];
	}
endif;