<?php
/**
 * Archive category Customizer options
 *
 * @package Theme Palace
 * @subpackage Create_Magazine
 * @since Create Magazine 2.0
 */

// Add Archive category section
$wp_customize->add_section( 'create_magazine_archive_category_section', array(
	'title'       		=> esc_html__( 'Archive category','create-magazine' ),
	'description' 		=> esc_html__( 'Archive category section options.', 'create-magazine' ),
	'panel'       		=> 'create_magazine_sections_panel'
) );

// Add posts from category setting and control
$wp_customize->add_setting( 'create_magazine_theme_options[create_magazine_archive_category]', array(
	'default'           => $options['create_magazine_archive_category'],
	'sanitize_callback' => 'absint'
) );

$wp_customize->add_control( new Create_Magazine_Dropdown_Category_Control( $wp_customize, 'create_magazine_theme_options[create_magazine_archive_category]', array(
	'label'           	=> esc_html__( 'Category', 'create-magazine' ),
	'description'	  	=> esc_html__( 'Select category to display posts', 'create-magazine' ),
	'section'         	=> 'create_magazine_archive_category_section',
	'priority'		  	=> '40',
	'type'				=> 'dropdown-category',
	'input_attrs'		=> array(
		'style'        	=> 'width: 80px;'
	)
) ) );