<?php
/**
* Layout options
*
* @package Theme Palace
* @subpackage Create_Magazine
* @since Create Magazine 2.0
*/

// Add Layout section
$wp_customize->add_section( 'create_magazine_layout', array(
	'title'               => esc_html__( 'Layout','create-magazine' ),
	'description'         => esc_html__( 'Layout section options.', 'create-magazine' ),
	'panel'               => 'create_magazine_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'create_magazine_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'create-magazine' ),
	'section'             => 'create_magazine_layout',
	'type'                => 'select',
	'choices'			  => create_magazine_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[site_layout]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'create_magazine_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'create-magazine' ),
	'section'             => 'create_magazine_layout',
	'type'                => 'select',
	'choices'			  => create_magazine_site_layout(),
) );


// Site animation layout setting and control.
$wp_customize->add_setting( 'create_magazine_theme_options[site_animation_layout]', array(
	'sanitize_callback'   => 'create_magazine_sanitize_checkbox',
	'default'             => $options['site_animation_layout']
) );

$wp_customize->add_control( 'create_magazine_theme_options[site_animation_layout]', array(
	'label'               => esc_html__( 'Site Animation Layout', 'create-magazine' ),
	'section'             => 'create_magazine_layout',
	'type'                => 'checkbox',
) );