<?php 
/**
 * Menus Customizer options
 *
 * @package Theme Palace
 * @subpackage Create_Magazine
 * @since Create Magazine 2.0
 */
//loader section
$wp_customize->add_section( 'menu_options', array(
	'description'		=> esc_html__( 'Extra Menu Options specific to this theme','create-magazine' ),
	'priority'			=> 10,
	'panel'  			=> 'nav_menus',
	'title'    			=> esc_html__( 'Menu Options', 'create-magazine' ),
) );

//Disable primary menu
$wp_customize->add_setting( 'create_magazine_theme_options[disable_primary_menu]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $options['disable_primary_menu'],
	'sanitize_callback' => 'create_magazine_sanitize_checkbox',
) );

$wp_customize->add_control( 'create_magazine_theme_options[disable_primary_menu]', array(			
	'label'    			=> esc_html__( 'Check to Disable Primary Menu', 'create-magazine' ),
	'section'  			=> 'menu_options',
	'settings' 			=> 'create_magazine_theme_options[disable_primary_menu]',
	'type'	   			=> 'checkbox',
) );		

//Disable search options
$wp_customize->add_setting( 'create_magazine_theme_options[disable_search]', array(
	'capability'		=> 'edit_theme_options',
	'default'			=> $options['disable_search'],
	'sanitize_callback' => 'create_magazine_sanitize_checkbox',
) );

$wp_customize->add_control( 'create_magazine_theme_options[disable_search]', array(			
	'label'    			=> esc_html__( 'Check to Disable Search Options', 'create-magazine' ),
	'section'  			=> 'menu_options',
	'settings' 			=> 'create_magazine_theme_options[disable_search]',
	'type'	   			=> 'checkbox',
	'active_callback'	=> 'create_magazine_is_primary_menu_enable',
) );